var dateUtil = {
    getCurrentWeekFirstDay: function(){
        var d = new Date();
        d.setDate(d.getDate() - ((d.getDay() || 7)-1));
        return d;
    },

    getCurrentWeekLastDay: function() {
        let weekFirstDay = new Date(date - (date.getDay() - 1) * 86400000)
        let weekLastDay = new Date((weekFirstDay / 1000 + 6 * 86400) * 1000)
        let lastMonth = Number(weekLastDay.getMonth()) + 1
        if (lastMonth < 10) {
            lastMonth = '0' + lastMonth
        }
        let weekLastDays = weekLastDay.getDate();
        if (weekLastDays < 10) {
            weekLastDays = '0' + weekLastDays;
        }
        return weekFirstDay.getFullYear() + '-' + lastMonth + '-' + weekLastDays;
    },

    getCurrentMonthFirstDay: function () {
        var d = new Date();
        d.setDate(1);
        return d;
    },

    getCurrentQuarterFirstDay: function () {
        var d = new Date();
        var index = Math.ceil((d.getMonth() + 1) / 3);
        d.setMonth((index - 1) * 3);
        d.setDate(1);
        return d;
    },

    getCurrentYearFirstDay: function () {
        var d = new Date();
        d.setMonth(0);
        d.setDate(1);
        return d;
    }
};