(function() {
    var that = me.define("userDeatail", {
        components: {
            "comHeaderNav": "components/headernav/comHeaderNav"

        },

        ctrl: function() {
            that.$scope.data = {
                name: "资深老烟民",
                state: '思考期',
                headimg: "images/resource/user.jpg",
                sex: 0,
                account: 13899999001,
                age: 39,
                smokeage: 14,
                smokingCessation: 208
            }
            that.$scope.weekXylList = [
                { day: '2-1', value: 4 },
                { day: '2-2', value: 1 },
                { day: '2-3', value: 2 },
                { day: '2-4', value: 3 },
                { day: '2-5', value: 7 },
                { day: '2-6', value: 5 },
                { day: '2-7', value: 1 }
            ]
            that.$scope.monthXylList = [
                { day: '2-1', value: 1 },
                { day: '2-2', value: 3 },
                { day: '2-3', value: 2 },
                { day: '2-4', value: 4 },
                { day: '2-5', value: 5 },
                { day: '2-6', value: 6 },
                { day: '2-7', value: 17 }
            ]
            that.$scope.chooseXyl = 1
            setTimeout(() => {
                that.getXylChart(1)
            }, 500)

        },
        getXylChart(type) {
            that.$scope.chooseXyl = type
            let xyl = echarts.init(document.getElementById('xyl'));
            let xdata = [],
                ydata = [],
                total = []
            if (type === 1) {
                total = that.$scope.weekXylList
            } else if (type === 2) {
                total = that.$scope.monthXylList
            } else {

            }
            total.forEach(week => {
                xdata.push(week.day)
                ydata.push(week.value)
            })
            xyl.setOption({
                xAxis: {
                    type: 'category',
                    data: xdata,
                    axisLine: { show: false },
                    axisTick: { show: false },
                },
                grid: {
                    left: 20,
                    top: 12,
                    bottom: 20,
                    right: 12
                },
                color: ['#FB8160'],
                yAxis: {
                    type: 'value',
                    axisLine: {
                        show: false
                    }
                },
                series: [{
                    lineStyle: { color: '#FB8160' },
                    data: ydata,
                    type: 'line'
                }]
            });
        }
    });
})();