(function() {
    var that = me.define("onlineConsultation", {
        components: {
            "comHeaderNav": "components/headernav/comHeaderNav"
        },

        ctrl: function() {
            // const ws = new Websocket('ws://localhost:8088/ws') //创建一个Websoket 实例
            that.$scope.shows = false
            that.$scope.id = me.param().id
            console.log(that.$scope.id)
            //模拟在线聊天内容
            /*
            content 消息内容
            isMe   是否是本人的消息
            sender  聊天昵称
            type 消息类型    text：文本 voice:语音  image:图片
            duration:语音时长
            */

            // that.$scope.message = [
            //     { content: 'Hi~亲爱的戒烟用户，请写下您想咨询问题，帮您寻找专家解答哦~', isMe: false, sender: "张三", type: 'text', duration: null },
            //     { content: 'https://www.xzmp3.com/down/b069b4b8f805.mp3', isMe: true, sender: "地上牛在追", type: 'voice', duration: 3 },
            //     { content: '嘻嘻', isMe: false, sender: "张三", type: 'text', duration: null },
            //     { content: '怎么了', isMe: true, sender: "地上牛在追", type: 'text', duration: null },
            //     { content: '你是天上牛在追吗？', isMe: false, sender: "张三", type: 'text', duration: null },
            //     { content: '你好', isMe: false, sender: "张三", type: 'text', duration: null },
            //     { content: 'https://www.xzmp3.com/down/b069b4b8f805.mp3', isMe: false, sender: "张三", type: 'voice', duration: 2 },
            //     { content: '我是天上牛在追', isMe: true, sender: "张三", type: 'text', duration: null }
            // ]
            that.$scope.message = []
            that.$scope.newMessage = "" //发送新的消息
            // that.$scope.isMe = true
            that.$scope.pageIndex = 0 //初始页
            that.$scope.consultId = ""
            that.newConsult()
            that.listData()
        },
        newConsult() {
            Util.ajax({
                data: {},
                url: Util.getApiUrl("/course/consult/newConsult")
            }, function(data) {
                that.$scope.consultId = data
            });
        },
        //点击播放语音
        playButton: function() {
            const audio = document.querySelector("audio")
            audio.play()
        },
        // //初始数据
        listData: function(callback) {
            Util.ajax({
                data: {
                    pageIndex: that.$scope.pageIndex,
                    pageSize: 10,
                    consultId: that.$scope.consultId
                },
                url: Util.getApiUrl("/course/getList/consultReply")
            }, function(data) {
                that.$scope.dataCount = data.count;
                const list = data.list.sort(function(a, b) { //将最新的数据放置最末尾，处理聊天顺序
                    return new Date(a.createTime).getTime() - new Date(b.createTime).getTime();
                });
                // Util.merge(that.$scope.message, list);
                if (that.$scope.pageIndex == 0) {
                    Util.merge(that.$scope.message, list);
                } else {
                    Util.merge1(that.$scope.message, list)
                }

                // that.$scope.message = data.list
                // callback && callback();
            });
        },
        // 加载新的数据
        onScroll: function() {
            if (that.$scope.dataCount <= that.$scope.message.length) {
                // callback();
                return;
            }
            that.$scope.pageIndex += 1;
            that.listData()
        },
        // 发送文本消息
        send() {
            Util.ajax({
                data: {
                    content: that.$scope.newMessage,
                    consultId: that.$scope.consultId,
                    replyType: 1
                },
                url: Util.getApiUrl("/course/consult/saveConsultReply"),
                isJson: true
                //  url: Util.getApiUrl("/course/consult/newConsult")
            }, function(data) {
                that.$scope.message = [];
                that.$scope.newMessage = "";
                that.$scope.pageIndex = 0;
                that.listData()

            });
        },
        // 切换语音按钮
        openSouice() {
            that.$scope.shows = !that.$scope.shows
        }
    });
})();