(function () {
    var that = me.define("punch", {
        components: {},
        ctrl: function () {
            that.$scope.date = me.param().date
            that.$scope.showOption = false
            that.$scope.option = []
            that.$scope.punchList = [
                {id: 1, title: '是否吸烟', option: [{id: 2, value: '是'}, {id: 1, value: '否', choose: true}]},
                {
                    id: 2,
                    title: '吸烟数量',
                    option: [{id: 1, value: 1, choose: true}, {id: 2, value: 2}, {id: 3, value: 3}, {
                        id: 4,
                        value: 4
                    }, {id: 5, value: 5}, {id: 6, value: 6}, {id: 7, value: 7}, {id: 8, value: 8}, {
                        id: 9,
                        value: 9
                    }, {id: 10, value: 10}, {id: 11, value: 11}, {id: 12, value: 12}, {id: 13, value: 13}, {
                        id: 14,
                        value: 14
                    }, {id: 15, value: 15}]
                },
                {
                    id: 3, title: '时间', placeholder: '请选择抽烟时间', option: [
                        {id: 1, value: '上午', choose: false}, {id: 2, value: '中午'}, {id: 3, value: '下午'}, {
                            id: 4,
                            value: '晚上'
                        },
                    ]
                },
                {
                    id: 4, title: '地点', placeholder: '请选择吸烟地点类型', option: [
                        {id: 1, value: '家'}, {id: 2, value: '公司'}, {id: 3, value: '其他'}]
                },
                {
                    id: 5,
                    title: '和谁',
                    placeholder: '请选择吸烟伙伴类型',
                    option: [{id: 1, value: '独自'}, {id: 2, value: '朋友'}, {id: 3, value: '同事'}, {
                        id: 4,
                        value: '家人'
                    }, {id: 5, value: '其他'}]
                },
                {id: 6, title: '想吸程度', degree: 1},
                {id: 7, title: '感受或吸烟原因', textarea: '', isInput: true, placeholder: '请输入...'},
            ]
            that.$scope.speed = that.getSpeed(that.$scope.curriculumList)
            that.getPlaceholder(that.$scope.punchList, 2)
        }, getSpeed(list) {
            if (list) {
                let total = 0
                list.forEach(l => {
                    total += l.state
                })
                return parseInt(total / list.length * 100)
            } else {
                return 0
            }
        }, goDetail(id) {
            Util.showPage('main/curriculum/curriculumDetail', '课程详情', {id});
        }, getPlaceholder(punchList, size) {
            const bar = punchList[size]
            if (bar.option && bar.placeholder) {
                for (const barKey in bar) {
                    if (barKey.choose) {
                        return false;
                    }
                }
                return true
            } else {
                return false;
            }
        }, showOp(id) {
            let option = {}
            that.$scope.punchList.forEach(p => {
                if (p.id === id) {
                    option = p
                }
            })
            if (option.option) {
                that.$scope.showOption = true
                that.$scope.options = option.option
                that.$scope.typeId = id
            }
        }, subPunch() {//提交打卡数据
            const punchObj = {
                "status": 1,
                "punchDate": me.param().date,
            }

            if (that.$scope.punchList[0].option[0].choose) {//有吸烟
                that.$scope.punchList.map(p => {
                    if (p.id === 1) {
                        p.option.map(o => {
                            if (o.choose) {
                                punchObj.status = o.id
                            }
                        })
                    } else if (p.id === 2) {
                        p.option.map(o => {
                            if (o.choose) {
                                punchObj.smokeCount = o.id
                            }
                        })
                    } else if (p.id === 3) {
                        p.option.map(o => {
                            if (o.choose) {
                                punchObj.smokeTime = o.id
                            }
                        })
                    } else if (p.id === 4) {
                        p.option.map(o => {
                            if (o.choose) {
                                punchObj.smokePlace = o.id
                            }
                        })
                    } else if (p.id === 5) {
                        p.option.map(o => {
                            if (o.choose) {
                                punchObj.smokeWith = o.id
                            }
                        })
                    } else if (p.id === 6) {
                        punchObj.smokeLevel = p.degree
                    } else if (p.id === 7) {
                        punchObj.memo = p.textarea
                    }
                })
            }
            console.log(punchObj);
            Util.ajax({
                data: punchObj,
                url: Util.getApiUrl("/course/punch/savePunch"),
                isJson: true
            }, function(data) {
                console.log(data);
                // Util.hidePage(true);
                window.location.reload();
            })

        }, closeOption() {
            that.$scope.showOption = false
            that.$scope.options = []
            that.$scope.typeId = null
        }, chooseOption(id, chooseId) {
            that.$scope.punchList.forEach(p => {
                if (p.id === id) {
                    p.pla = true
                    p.option.map(o => {
                        if (o.id === chooseId) {
                            o.choose = true
                        } else {
                            o.choose = false
                        }
                    })
                }
            })

            that.$scope.showOption = false
        }, goPunchData() {
            Util.showPage('main/punch/punchData', '打卡数据', {});
        }
    });
})();