(function () {
    var that = me.define("diary", {
        ctrl: function () {
            that.$scope.data = []
            that.$scope.pageIndex = 0
            that.initList();
        },

        initList: function(callback){
            Util.ajax({
                data: {
                    pageIndex: that.$scope.pageIndex,
                    pageSize: 10
                },
                url: Config.apiPre + "/course/getList/note"
            }, function (data) {
                that.$scope.dataCount = data.count;
                Util.merge(that.$scope.data, data.list);

                callback && callback();
            });
        },
        onScroll: function(callback) {
            if (that.$scope.dataCount <= that.$scope.data.length) {
                callback();
                return;
            }
            that.$scope.pageIndex += 1;
            that.initList(callback);
        },
        toPage: function (name, title) {

        }
    });
})();