(function() {
    me.define("comCommonProblem", {
            components: {
                "comNoData": "components/nodata/comNoData"
            },
            data: {
                comCommonProblemList: {
                    type: Array
                },

            },
            ctrl: function() {
                // this.$scope.comCommonProblemList

            },
            detail: function(id) {
                Util.showPage("resource/questionDetails/questionDetails", "文章", { "id": id });
            },

            ready: function(data) {

            },

            //将富文本数据格式转化HTML 识别 公用方法
            stripTagsAndConvert: function(text) {
                // 去除HTML标签
                var stripped = text.replace(/(<([^>]+)>)/gi, '');
                // 将转义符转换为普通字符
                var converted = stripped.replace(/&lt;/g, '<')
                    .replace(/&gt;/g, '>')
                    .replace(/&quot;/g, '"')
                    .replace(/&amp;/g, '&')
                    .replace(/&nbsp;/g, '')

                return converted;
            },
            setData: function(data) {
                var that = this
                data.forEach(function(item) {
                    item.content = that.stripTagsAndConvert(item.content)
                    if (item.content.length > 27) {
                        item.content = item.content.substring(0, 27) + "..."
                    }
                })
                that.$scope.comCommonProblemList = data

            },


        },
        true);
})();