(function() {
    var that = me.define("questionDetails", {
        components: {
            "comHeaderNav": "components/headernav/comHeaderNav"
        },
        ctrl: function() {
            that.$scope.id = me.param().id
            that.$scope.questionDetailsData = {}
            that.$scope.dolike = false
            that.questionDetailsIndex()
        },
        questionDetailsIndex: function() {
            method: "POST"
            Util.ajax({
                data: {},
                url: Util.getApiUrl("/course/get/resource/" + that.$scope.id)
            }, function(data) {
                that.$scope.questionDetailsData = data
                that.resourceLike(data)
            })
        },
        // 点赞数据处理
        resourceLike: function(resourceList) {
            Util.ajax({
                data: {
                    resourceId: that.$scope.id,
                },
                url: Util.getApiUrl("/course/getList/resourceLike")
            }, function(data) {
                var likeMap = Util.toMap(data, "resourceId"); //data,参数id
                that.$scope.questionDetailsData.isLike = !!likeMap[that.$scope.questionDetailsData.id] //数据对象的id
            });
        },
        //点赞与取消
        isLike: function(id) {
            Util.ajax({
                data: {
                    resourceId: id
                },
                url: Util.getApiUrl("/course/resource/like")
            }, function(data) {
                that.$scope.questionDetailsData.isLike = !that.$scope.questionDetailsData.isLike
                if (that.$scope.questionDetailsData.isLike == true) { //点赞成功移除动画
                    that.$scope.dolike = true
                }
            });

        }

    });
})();