(function() {
    var that = me.define("doctor", {
        ctrl: function() {
            that.setToken();

            // that.setTitle();
            var page = Util.getQueryString("p");
            // var menu = Util.getQueryString("m");
            var isIndex = !page || page == "ask/doctor/message/message";
            that.$scope.isIndex = isIndex;
            me.global.getData(!isIndex, function() {
                if (!page) {
                    that.switchMenu(1);
                } else {
                    me.show(page, { showType: 0 });
                }
            });

            // // 检查app更新
            // if (Util.isApp() && isIndex) {
            //     h5Util.checkVersion();
            // }
        },

        setToken: function() {
            var token = localStorage[Config.smokeToken];
            if (token) {
                me.global("token", token);
            }
        },

        setTitle: function() {
            var title = Util.getQueryString("_title");
            if (title) {
                document.title = decodeURIComponent(title);
            }
        },

        switchMenu: function(index) {
            that.$scope.tab = Number(index);
            switch (Number(index)) {
                //首页
                case 1:
                    me.show("ask/doctor/message/message", {
                        showType: 0,
                        param: {}
                    });
                    break;
                case 2:
                    me.show("ask/doctor/userList/userList", {
                        showType: 0,
                        param: {}
                    });
                    break;
                case 3:
                    me.show("ask/doctor/homePage/homePage", {
                        showType: 0,
                        param: {}
                    });
                    break;
                default:
                    break;
            }
        },

        setAppTitle: function(title, align, buttons) {
            if (!Util.isApp()) return;

            mui.plusReady(function() {
                var mainWindow = plus.webview.getLaunchWebview();
                mainWindow.setStyle({
                    'titleNView': {
                        'backgroundcolor': '#136bb5',
                        'titletext': "",
                        'titlecolor': '#FFFFFF',
                        'backgroundImage': './img/header-bg.png',
                        'titleAlign': align,
                        'buttons': buttons,
                        // 'default': "transparent"
                    },
                    "scrollIndicator": "none"
                })
            })
        }

    });
})();