(function() {
    var that = me.define("chatMessage", {

        components: {
            "comHeaderNav": "components/headernav/comHeaderNav"
        },
        ctrl: function() {
            that.$scope.id = me.param().id
            that.$scope.name = me.param().name
            that.$scope.userId = me.param().userId
            that.$scope.shows = false
            that.$scope.chatMessage = []
            that.$scope.messageValue = '' //发送消息
            that.$scope.pageIndex = 0
            that.listData()

        },
        // //初始数据
        listData: function() {
            Util.ajax({
                data: {
                    pageIndex: that.$scope.pageIndex,
                    pageSize: 10,
                    consultId: 1
                },
                url: Util.getApiUrl("/course/getList/consultReply")
            }, function(data) {
                console.log(data)
                that.$scope.dataCount = data.count;
                const list = data.list.sort(function(a, b) { //将最新的数据放置最末尾，处理聊天顺序
                    return new Date(a.createTime).getTime() - new Date(b.createTime).getTime();
                });
                if (that.$scope.pageIndex == 0) {
                    Util.merge(that.$scope.chatMessage, list);
                } else {
                    Util.merge1(that.$scope.chatMessage, list)
                }
            });
        },
        // 加载新的数据
        onScroll: function() {
            if (that.$scope.dataCount <= that.$scope.chatMessage.length) {
                return;
            }
            that.$scope.pageIndex += 1;
            that.listData();
        },
        // 语音，文字切换
        openSouice() {
            that.$scope.shows = !that.$scope.shows
        },
        // 语音播放
        playButton() {
            const audio = document.querySelector("audio")
            audio.play()
        },

        // 发送消息
        send: function() {
            var consult = that.$scope.chatMessage[0]
            console.log(consult)
            var param = {}
            param.content = that.$scope.messageValue;
            param.consultId = consult.consultId;
            param.replyType = 1;
            Util.ajax({
                data: param,
                url: Util.getApiUrl("/course/consult/saveConsultReply"),
                isJson: true
            }, function(data) {
                that.$scope.chatMessage = [];
                that.$scope.messageValue = '';
                that.$scope.pageIndex = 0;
                that.listData()

            });

        },
        beginRecordAction(e) {}
    });
})();