(function () {
    var that = me.define("curriculum", {
        components: {},
        ctrl: function () {
            that.$scope.curriculumList = []
            //     {id: 1, name: '第一课：我们可以帮您戒烟', state: 1},
            //     {id: 2, name: '第二课：吸烟只是一个爱好或习惯吗？吸烟只是一个爱好或习惯吗？', state: 1},
            //     {id: 3, name: '第三课：吸烟，百害而无一利！', state: 1},
            //     {id: 4, name: '第四课：常见的误区如是说', state: 1},
            //     {id: 5, name: '第五课：展望不吸烟的生活', state: 0},
            //     {id: 6, name: '第六课：戒烟的好处多多', state: 0},
            // ]
            // that.$scope.speed = that.getSpeed(that.$scope.curriculumList)
            that.getCurriculum()
        }, getCurriculum() {
            Util.ajax({
                url: Util.getApiUrl("/course/listUserCurrentItem"),
            }, function (data) {
                console.log(data);
                data.map(d => {
                    that.$scope.curriculumList.push({
                        id: d.id,
                        resourceId: d.resourceId,
                        name: d.itemTitle,
                        state: d.finish ? 1 : 0,
                        itemId: d.itemId,
                    })
                })
                that.$scope.speed = that.getSpeed(that.$scope.curriculumList)
            })
        }, nextCurriculum() {
            //如果是第二阶段，需要跳转到戒烟宣传页
            if (me.param().stage === 2) {
                Util.showPage('main/curriculum/curriculumPropaganda', '戒烟宣传', {id: me.param().id});
                return
            }
            Util.ajax({
                data: {},
                url: Util.getApiUrl("/course/toNextStage"),
            }, function (data) {
                window.location.reload();
            })

        }, getSpeed(list) {
            if (list) {
                let total = 0
                list.forEach(l => {
                    total += l.state
                })
                return parseInt(total / list.length * 100)
            } else {
                return 0
            }
        }, goDetail(id, itemId) {
            Util.showPage('main/curriculum/curriculumDetail', '课程详情', {id, itemId});
        }
    });
})();