(function() {
    var that = me.define("commonProblem", {
        components: {
            "comResourceVideo": "pages/resource/components/resourceVideo/comResourceVideo",
            "comHeaderNav": "components/headernav/comHeaderNav"
        },

        // data: {
        //     data: {
        //         type: Object
        //     },

        //     onNotice: {
        //         type: Function
        //     }
        // },

        ctrl: function() {
            that.$scope.id = me.param().id
            const token = me.global.userInfo
            that.$scope.dolike = false
            that.$scope.video = document.querySelector(".main-img")
            that.$scope.commonproblemAdd = document.querySelector(".commonproblem-add")
            //常见问题数据
            that.$scope.data = {}
            // 专家视频数据
            that.$scope.expertVideo = []
            that.commonProblemIndex()
            that.expertVideoList()

        },
        //常见问题出始数据 
        commonProblemIndex: function() {
            Util.ajax({
                data: {},
                url: Util.getApiUrl("/course/get/resource/" + that.$scope.id)
            }, function(data) {
                that.$scope.data = data
                that.resourceLike(data)
            })
        },

        // // 点赞数据处理
        // resourceLike: function(resourceList) {
        //     Util.ajax({
        //         data: {
        //             resourceId: that.$scope.id,
        //         },
        //         url: Util.getApiUrl("/course/getList/resourceLike")
        //     }, function(data) {
        //         var likeMap = Util.toMap(data, "resourceId"); //data,参数resourceId
        //         that.$scope.data.isLike = !!likeMap[that.$scope.data.id] //初始数据对象的id
        //     });
        // },
        expertVideoList: function() {
            Util.ajax({
                data: {
                    resourceType: 2,
                    pageIndex: 0,
                    pageSize: 4
                },
                url: Util.getApiUrl("/course/getList/resource")
            }, function(data) {
                console.log(data)
                that.$scope.expertVideo = data.list
                me.getCom("com-resource", function(com) {
                    com.setData(data.list)
                })
                that.resourceLike(data.list)
            });

        },
        // 点赞数据处理
        resourceLike: function(resourceList) {
            if (resourceList instanceof Array) { //如果是数组发送这个请求
                if (resourceList.length == 0) return;
                var resourceIds = resourceList.map(d => d.id).join(",");
                Util.ajax({
                    data: {
                        resourceId: resourceIds,
                        userId: me.global.userInfo.id
                    },
                    url: Util.getApiUrl("/course/getList/resourceLike")
                }, function(data) {
                    var likeMap = Util.toMap(data, "resourceId");
                    resourceList.forEach(res => {
                        res.isLike = !!likeMap[res.id];
                    });
                });

            } else {
                Util.ajax({ //对象数据请求
                    data: {
                        resourceId: that.$scope.id,
                    },
                    url: Util.getApiUrl("/course/getList/resourceLike")
                }, function(data) {
                    var likeMap = Util.toMap(data, "resourceId"); //data,参数id
                    that.$scope.data.isLike = !!likeMap[that.$scope.data.id] //数据对象的id
                });
            }

        },
        //点赞与取消
        isLike: function(id) {
            Util.ajax({
                data: {
                    resourceId: id
                },
                url: Util.getApiUrl("/course/resource/like")
            }, function(data) {
                that.$scope.data.isLike = !that.$scope.data.isLike
                if (that.$scope.data.isLike == true) { //点赞成功移除动画
                    that.$scope.dolike = true
                }
            })
        },
        // 点击开始播放
        play: function() {
            document.getElementById("poster").style.display = "none";
            that.$scope.video.play()
        },

        ready: function() {},

        update: function(data) {
            // this.$scope.data = data;
        },

        notice: function() {
            // me.triggerCom(this.id,"onNotice",{name:1},2,true,"4");

        }
    }, );
})(true);