(function() {
    var that = me.define("storyDeatail", {
        components: {
            "comCommonProblem": "pages/resource/components/commonProblem/comCommonProblem",
            "comHeaderNav": "components/headernav/comHeaderNav"
        },

        // data: {
        //     data: {
        //         type: Object
        //     },

        //     onNotice: {
        //         type: Function
        //     }
        // },

        ctrl: function() {
            that.$scope.id = me.param().id
            that.$scope.details = {}
            that.$scope.dolike = false
            //选向卡2:常见问题
            that.$scope.comCommonProblemList = []
            that.storyDetailIndex()
            that.comCommonProblemList()
        },
        storyDetailIndex: function() {
            Util.ajax({
                data: {},
                url: Util.getApiUrl("/course/get/resource/" + that.$scope.id)
            }, function(data) {
                that.$scope.details = data
                that.resourceLike(data)
            })

        },
        comCommonProblemList: function() {
            Util.ajax({
                data: {
                    resourceType: 1,
                    pageIndex: 0,
                    pageSize: 4
                },
                url: Util.getApiUrl("/course/getList/resource")
            }, function(data) {
                that.$scope.comCommonProblemList = data.list
                me.getCom("com-pronlemlist", function(com) {
                    com.setData(data.list)
                })
                that.resourceLike(data.list)
            });

        },
        // 点赞数据处理
        resourceLike: function(resourceList) {
            if (resourceList instanceof Array) { //如果是数组发送这个请求
                if (resourceList.length == 0) return;
                var resourceIds = resourceList.map(d => d.id).join(",");
                Util.ajax({
                    data: {
                        resourceId: resourceIds,
                        userId: me.global.userInfo.id
                    },
                    url: Util.getApiUrl("/course/getList/resourceLike")
                }, function(data) {
                    var likeMap = Util.toMap(data, "resourceId");
                    resourceList.forEach(res => {
                        res.isLike = !!likeMap[res.id];
                    });
                });

            } else {
                Util.ajax({ //对象数据请求
                    data: {
                        resourceId: that.$scope.id,
                    },
                    url: Util.getApiUrl("/course/getList/resourceLike")
                }, function(data) {
                    var likeMap = Util.toMap(data, "resourceId"); //data,参数id
                    that.$scope.details.isLike = !!likeMap[that.$scope.details.id] //数据对象的id
                });
            }

        },


        //点赞与取消
        isLike: function(id) {
            console.log(id)
            Util.ajax({
                data: {
                    resourceId: id
                },
                url: Util.getApiUrl("/course/resource/like")
            }, function(data) {
                that.$scope.details.isLike = !that.$scope.details.isLike
                if (that.$scope.details.isLike == true) { //点赞成功移除动画
                    that.$scope.dolike = true
                }
            });

        },

        ready: function() {},
        // 接收参数
        update: function(data) {
            // this.$scope.data = data;
        },

        notice: function() {
            // me.triggerCom(this.id,"onNotice",{name:1},2,true,"4");

        }
    }, );
})();