(function () {
    var that = me.define("weight", {
        // 引用的组件
        components: {
            "videoList": "pages/tools/components/videoList"
        },
        ctrl: function () {
            that.$scope.type = 1;
            that.$scope.typename = '体重管理';
            Util.ajax({
                data: {
                    pageIndex: 0,
                    pageSize: 10
                },
                url: Config.apiPre + "/main/getUser"
            }, function (data) {
                let info = data;
                info.weight = data.weight;
                info.height = data.height;
                if (info.weight && info.height) {
                    info.bmi = (data.weight / Math.pow(data.height / 100, 2)).toFixed(2);
                    if (info.bmi >= 28) info.state = "肥胖";
                    else if (info.bmi >= 24) info.state = "超重";
                    else if (info.bmi >= 18.5) info.state = "正常";
                    else info.state = "过低";

                    info.show = true;
                }
                that.$scope.info = info;
            });
            me.getCom("video-list-tools-weight", function (com) {
                com.changeFlag(that.$scope.typename);
            });
        },
        toAdd: function () {
            document.getElementById("add").style.display = 'none';
            document.getElementById("info").style.display = 'block';
        },
        changeType: function () {
            that.$scope.type = (that.$scope.type === 1 ? 2 : 1);
            that.$scope.typename = (that.$scope.typename === '体重管理' ? '健康饮食' : '体重管理');
            me.getCom("video-list-tools-weight", function (com) {
                com.changeFlag(that.$scope.typename);
            });
        },

        toEdit: function () {
            Util.showPage("tools/weight/editWeight/editWeight", "个人数据", {info: that.$scope.info});
        },

        onScroll: function (callback) {
            me.getCom("video-list-tools-weight", function (com) {
                com.scroll(callback);
            });
            // me.getCom("video-list-tools-weight2",function(com){
            //     com.scroll(callback);
            // });
        }
    });
})();